""" This module loads the entire VTK library into its namespace.  It
also allows one to use specific packages inside the vtk directory.."""

from __future__ import absolute_import

# --------------------------------------
from .vtkCommonCore import *
from .vtkCommonMath import *
from .vtkCommonTransforms import *
from .vtkCommonDataModel import *
from .vtkCommonExecutionModel import *
from .vtkCommonMisc import *
from .vtkFiltersCore import *
from .vtkRenderingCore import *
from .vtkFiltersGeneral import *
from .vtkFiltersSources import *
from .vtkInteractionWidgets import *
from .vtkViewsCore import *
from .vtkViewsContext2D import *
from .vtkRenderingContext2D import *
from .vtkTestingRendering import *
from .vtkImagingCore import *
from .vtkRenderingVolume import *
from .vtkImagingMath import *
from .vtkRenderingOpenGL2 import *
from .vtkRenderingVolumeOpenGL2 import *
from .vtkRenderingVolumeAMR import *
from .vtkRenderingParallel import *
from .vtkRenderingFreeType import *
from .vtkRenderingMatplotlib import *
from .vtkRenderingLabel import *
from .vtkRenderingLICOpenGL2 import *
from .vtkIOCore import *
from .vtkRenderingContextOpenGL2 import *
from .vtkParallelMPI4Py import *
from .vtkIOLegacy import *
from .vtkIOXdmf2 import *
from .vtkIOVeraOut import *
from .vtkIOVPIC import *
from .vtkIOTecplotTable import *
from .vtkIOTRUCHAS import *
from .vtkIOImage import *
from .vtkIOSegY import *
from .vtkIOXdmf3 import *
from .vtkIOXMLParser import *
from .vtkIOXML import *
from .vtkIOParallelXML import *
from .vtkIOParallelNetCDF import *
from .vtkIOLSDyna import *
from .vtkIOParallelLSDyna import *
from .vtkIOExodus import *
from .vtkIOParallelExodus import *
from .vtkIOPLY import *
from .vtkIOPDAL import *
from .vtkIOMotionFX import *
from .vtkIOGeometry import *
from .vtkIONetCDF import *
from .vtkIOParallel import *
from .vtkIOMPIImage import *
from .vtkIOInfovis import *
from .vtkIOImport import *
from .vtkIOH5part import *
from .vtkFiltersGeometry import *
from .vtkFiltersHybrid import *
from .vtkIOMovie import *
from .vtkIOVideo import *
from .vtkIOFFMPEG import *
from .vtkIOExport import *
from .vtkRenderingGL2PSOpenGL2 import *
from .vtkIOExportGL2PS import *
from .vtkIOEnSight import *
from .vtkIOAsynchronous import *
from .vtkIOAMR import *
from .vtkIOGDAL import *
from .vtkImagingColor import *
from .vtkImagingGeneral import *
from .vtkRenderingAnnotation import *
from .vtkInteractionStyle import *
from .vtkImagingHybrid import *
from .vtkFiltersTexture import *
from .vtkFiltersPython import *
from .vtkFiltersProgrammable import *
from .vtkFiltersModeling import *
from .vtkFiltersPoints import *
from .vtkFiltersVerdict import *
from .vtkFiltersStatistics import *
from .vtkFiltersParallelStatistics import *
from .vtkCommonSystem import *
from .vtkFiltersExtraction import *
from .vtkFiltersParallel import *
from .vtkParallelCore import *
from .vtkParallelMPI import *
from .vtkFiltersParallelGeometry import *
from .vtkFiltersFlowPaths import *
from .vtkFiltersParallelFlowPaths import *
from .vtkFiltersParallelDIY2 import *
from .vtkFiltersHyperTree import *
from .vtkFiltersGeneric import *
from .vtkFiltersAMR import *
from .vtkFiltersParallelMPI import *
from .vtkDomainsChemistry import *
from .vtkChartsCore import *
from .vtkCommonColor import *
from .vtkImagingSources import *
from .vtkInfovisCore import *
from .vtkImagingFourier import *
from .vtkAcceleratorsVTKm import *
from .vtkCommonComputationalGeometry import *


# useful macro for getting type names
from .util.vtkConstants import vtkImageScalarTypeNameMacro

# import convenience decorators
from .util.misc import calldata_type

# import the vtkVariant helpers
from .util.vtkVariant import *
